# Search API Solr: Boosted Keyword

This module adds the `"Search API Solr: Boosted Keyword"` field type,
widget and formatter. This field type can be used to add variably
boosted keywords to indexed content. Each item of this field type
contains a keyword and it's boost level.

Alters Search API Solr indexing so the keywords are repeated x number
of times in the document (x being the selected boost level for that keyword).

Alters Search API Solr queries to include a termfreq boost function for each
indexed keyword per given key.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/search_api_solr_boosted_keyword).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/search_api_solr_boosted_keyword).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires the following modules:

- [Search API](https://www.drupal.org/project/search_api)
- [Search API Solr](https://www.drupal.org/project/search_api_solr)


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

- Install the module and required modules.


## Configuration

1. Add a `"Search API Solr: Boosted Keyword"` field to the entity types /
   bundles that are going to use the boosted keyword functionality.
2. Make sure there is a Search API server configured with the Solr backend.
3. Make sure there is an index on the Search API Solr server.
4. Index at least 1 `"Search API Solr: Boosted Keyword"` field (fulltext is
   advised as it allows boosting the field itself, determining the general
   importance of the boosted keywords).
5. Set up any form of Search API query (e.g. a Search API Index view) ordered
   by relevance.


## Maintainers

- Dieter Blomme - [daften](https://www.drupal.org/u/daften)
- Laurens Van Damme - [L_VanDamme](https://www.drupal.org/u/l_vandamme)
- Alex Kuzava - [nginex](https://www.drupal.org/u/nginex)
- Sašo Sotlar - [saso.sotlar](https://www.drupal.org/u/sasosotlar)
